## Transform a shape file to a tiff file
If your input data is a processed shape file it first needs to be converted to geotiff, this can be done with the 'ShapeToGeoTiffTask'.  

Pass the code of the shape item into the {code} parameter, this creates a new item with tiff data as a sibling of the shape item with the same parent 
This new geotiff item should be used as input to the a task.

> Request
```javascript
POST /api/v1/items/{code}/tasks
{
  "taskType": "vnd.farmmaps.task.shapetogeotiff"
}
```  
> Response 201
```javascript
{
  "code": "string",
  "taskType": "vnd.farmmaps.task.shapetogeotiff"
}
```

Response 400 Tasktype not found  
Response 401 Not authenticated  
Response 403 No WRITE permissions in item  
Response 404 Item not found  

##### Optional input parameters #####
There are some optional task attribute input parameters for greater flexibility.

* **inputLayers**  
 * array of of input layer name strings
* **algorithm**  
 * Valid inputs can be found here https://gdal.org/programs/gdal_grid.html#interpolation-algorithms
 * Example of the default **"invdistnn:radius=100:min_points=2"**
* **resolution**
 * The resolution in meters for the final tiff file. [1, 100]

defaults are false

```javascript
{
    "inputLayers": "[\"height\", \"lutum\"]", // the value is a string not a json array!
    "algorithm": "invdistnn:radius=100:min_points=2",
    "resolution": 5
}
```